---
title: lvm
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.lvm) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.lvm?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.lvm) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.lvm/src/branch/main/LICENSE)

Configure a list of LVM volumes.

<!--more-->

- [Default Variables](#default-variables)
  - [lvm_packages](#lvm_packages)
  - [lvm_volumes](#lvm_volumes)
- [Dependencies](#dependencies)

---

## Default Variables

### lvm_packages

#### Default value

```YAML
lvm_packages:
  - lvm2
```

### lvm_volumes

Define a list of LVM volumes. The `state` parameter is related to the possible state values of Ansibles [mount](https://docs.ansible.com/ansible/latest/collections/ansible/posix/mount_module.html) module.

#### Default value

```YAML
lvm_volumes: []
```

#### Example usage

```YAML
lvm_volumes:
  - name: lv_data
    group: vg_data
    disks:
      - /dev/sda
    fstype: ext4
    size: 100g
    resizefs: True
    mountpoint: /mnt/data
    mountopts:
      - ro
      - noauto
    state: mounted
```



## Dependencies

None.
